projectStart
PRO
The functionality is available in PRO Edition only
Description
Optional. Defines the start boundary of the project timelineThe projectStart property allows you to explicitly define the start date of a project.
When the criticalPath feature is enabled in the strict mode, projectStart is used as the lower boundary for the forward pass that determines the critical path. If not provided, the start date is derived automatically from the tasks in the dataset.
In auto scheduling mode, projectStart influences the initial scheduling:
- When set, tasks are shifted during initial load so that the earliest task starts at
projectStart, and all other tasks are moved by the same offset - During task edits, tasks cannot start earlier than
projectStart
Usage
projectStart?: Date;
Parameters
projectStart expects a JavaScript Date object which is a project start boundary.
Example
<script setup>
import { getData } from "../data";
import { Gantt } from "@svar/vue-gantt";
const data = getData();
const projectStart = new Date(2024, 3, 2);
</script>
<template>
<Gantt
:tasks="data.tasks"
:links="data.links"
:projectStart="projectStart"
/>
</template>
Related articles:

Skip to main content

projectStart

The functionality is available in PRO Edition only

PRO

Description

Optional. Defines the start boundary of the project timeline

The projectStart property allows you to explicitly define the start date of a project.

When the criticalPath feature is enabled in the strict mode, projectStart is used as the lower boundary for the forward pass that determines the critical path. If not provided, the start date is derived automatically from the tasks in the dataset.

In auto scheduling mode, projectStart influences the initial scheduling:

  • When set, tasks are shifted during initial load so that the earliest task starts at projectStart, and all other tasks are moved by the same offset
  • During task edits, tasks cannot start earlier than projectStart

Usage

projectStart?: Date;

Parameters

projectStart expects a JavaScript Date object which is a project start boundary.

Example

import { getData } from "../data";
import { Gantt } from "@svar/react-gantt";

export default function App() {
const data = getData();
const projectStart = new Date(2024, 3, 2);

return (
<Gantt
tasks={data.tasks}
links={data.links}
projectStart={projectStart}
/>
);
}